summaryrefslogtreecommitdiff
path: root/tests/cp/special-bits.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2014-05-19 18:21:57 +0100
committerPádraig Brady <P@draigBrady.com>2014-05-21 11:18:27 +0100
commit7a63d6395ac117b753a18468a9b3f5ed95d176d4 (patch)
treec01b1115f71bd4a4b98b1dc6f9383d4228507e5f /tests/cp/special-bits.sh
parent0c4729516baa2fbefb0af66c38f434b1f7519078 (diff)
downloadcoreutils-7a63d6395ac117b753a18468a9b3f5ed95d176d4.tar.xz
tests: use chroot --user rather than internal setuidgid tool
* init.cfg (require_root_): Adjust to use chroot, and make `require_built_ chroot` implicit when chroot used in the test. * po/POTFILES.in: Remove reference to setuidgid tool. * src/.gitignore: Likewise. * src/local.mk: Likewise. * src/setuidgid.c: Remove. * tests/cp/preserve-gid.sh: s/setuidgid/chroot --user/. * tests/cp/special-bits.sh: Likewise. * tests/id/setgid.sh: Likewise. * tests/misc/truncate-owned-by-other.sh * tests/mv/sticky-to-xpart.sh: Likewise. * tests/rm/fail-2eperm.sh: Likewise. * tests/rm/no-give-up.sh: Likewise. * tests/touch/now-owned-by-other.sh: Likewise. * tests/misc/chroot-fail.sh: Skip if chroot not built.
Diffstat (limited to 'tests/cp/special-bits.sh')
-rwxr-xr-xtests/cp/special-bits.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/cp/special-bits.sh b/tests/cp/special-bits.sh
index 60d26a936..a55eea21f 100755
--- a/tests/cp/special-bits.sh
+++ b/tests/cp/special-bits.sh
@@ -42,7 +42,7 @@ set _ $(ls -l b); shift; p1=$1
set _ $(ls -l b2); shift; p2=$1
test $p1 = $p2 || fail=1
-setuidgid $NON_ROOT_USERNAME env PATH="$PATH" cp -p c c2 || fail=1
+chroot --user=$NON_ROOT_USERNAME / env PATH="$PATH" cp -p c c2 || fail=1
set _ $(ls -l c); shift; p1=$1
set _ $(ls -l c2); shift; p2=$1
test $p1 = $p2 && fail=1